#include <bits/stdc++.h>
using namespace std;
int main() {

    int n;
    cin >> n;
    int arr[10000];
    for(int i = 0; i < n; i++) {
        cin >> arr[i];
    }
    int res = 0;
    for(int i = 0; i < n; i++) {
        if(arr[i] % 2 == 1) {
            for(int j = i + 1; j < n; j++) {
                if(arr[j] % 2 == 0) {
                    res += (n - j);
                    break;
                }
            }
        } else {
            res += (n - i);
        }
    }
    cout << res << endl;
    return 0;
}
